> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get document

> Get an AI document by UUID



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /ai/documents/{uuid}
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /ai/documents/{uuid}:
    get:
      tags:
        - AI - Documents
      summary: Get document
      description: Get an AI document by UUID
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: UUID
            description: Document identifier.
          required: true
          description: Document identifier.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  document:
                    type: object
                    properties:
                      uuid:
                        type: string
                      workspaceUuid:
                        type: string
                      userUuid:
                        type: string
                      title:
                        anyOf:
                          - type: string
                          - type: 'null'
                      content:
                        type: string
                      kind:
                        type: string
                        enum:
                          - text
                          - code
                          - sheet
                          - image
                      createdAt:
                        type: string
                      deletedAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - uuid
                      - workspaceUuid
                      - userUuid
                      - title
                      - content
                      - kind
                      - createdAt
                      - deletedAt
                    additionalProperties: false
                    title: Document
                    description: Document details.
                required:
                  - document
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````